Bug 1573675 - Xorg: amdgpu crashes on login on kernel 4.16.4-200.fc27.x86_64 and 4.16.5-200.fc27.x86_64
Summary: Xorg: amdgpu crashes on login on kernel 4.16.4-200.fc27.x86_64 and 4.16.5-200...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-amdgpu
Version: 27
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Christopher Atherton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-01 22:39 UTC by Me
Modified: 2018-11-30 21:21 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 21:21:31 UTC
Type: Bug


Attachments (Terms of Use)
Xorg.1.log (37.88 KB, text/plain)
2018-05-01 22:39 UTC, Me
no flags Details

Description Me 2018-05-01 22:39:57 UTC
Created attachment 1429604 [details]
Xorg.1.log

Description of problem: On both kernel 4.16.4-200.fc27.x86_64 and 4.16.5-200.fc27.x86_64 Xorg crashes immediately upon login, and the console is left garbled and in an unusable state. Graphics card is an AMD Vega 64.


Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.19.6-7.fc27.x86_64
xorg-x11-drv-amdgpu-18.0.1-1.fc27.x86_64


How reproducible: Select an Xorg session from the GDM menu, log in.


Steps to Reproduce:
1. Select and Xorg session from the GDM pulldown menu
2. Enter password
3. Log in


Additional info: Bug was introduced with kernel 4.16.4-200, the previous kernel update (4.16.3-200) is not affected. A Wayland session is not affected on any of these kernels. 

Relevant snippets from Xorg.1.log (full log included as attachment):

[    41.483] (EE) AMDGPU(0): failed to set mode: Invalid argument
[    41.483] (WW) AMDGPU(0): Failed to set mode on CRTC 0
[    41.483] (EE) AMDGPU(0): Failed to enable any CRTC


[    41.519] (EE) AMDGPU(0): Failed to allocate scanout buffer memory
[    41.519] (EE) AMDGPU(0): Failed to allocate scanout buffer memory
[    41.519] (EE) AMDGPU(0): failed to set mode: Invalid argument


[    55.548] (EE) 
[    55.548] (EE) Backtrace:
[    55.549] (EE) 0: /usr/libexec/Xorg (OsLookupColor+0x139) [0x59d609]
[    55.549] (EE) 1: /lib64/libpthread.so.0 (funlockfile+0x50) [0x7f93bfea21ff]
[    55.549] (EE) 2: /usr/lib64/xorg/modules/drivers/amdgpu_drv.so (_init+0x11495) [0x7f93bca858f5]
[    55.550] (EE) 3: /usr/lib64/xorg/modules/drivers/amdgpu_drv.so (_init+0xa4d6) [0x7f93bca77c26]
[    55.550] (EE) 4: /usr/libexec/Xorg (present_extension_init+0x1208) [0x51ab68]
[    55.550] (EE) 5: /usr/libexec/Xorg (present_event_notify+0x877) [0x51aa77]
[    55.550] (EE) 6: /usr/libexec/Xorg (present_register_complete_notify+0x101a) [0x51cd4a]
[    55.550] (EE) 7: /usr/libexec/Xorg (SendErrorToClient+0x368) [0x435928]
[    55.550] (EE) 8: /usr/libexec/Xorg (InitFonts+0x420) [0x439950]
[    55.552] (EE) 9: /lib64/libc.so.6 (__libc_start_main+0xea) [0x7f93bfafaf2a]
[    55.552] (EE) 10: /usr/libexec/Xorg (_start+0x2a) [0x4235fa]
[    55.552] (EE) 
[    55.552] (EE) Segmentation fault at address 0x10
[    55.552] (EE) 
Fatal server error:
[    55.552] (EE) Caught signal 11 (Segmentation fault). Server aborting
[    55.552] (EE) 
[    55.552] (EE) 
Please consult the Fedora Project support 
         at http://wiki.x.org
 for help. 
[    55.552] (EE) Please also check the log file at "/home/user/.local/share/xorg/Xorg.1.log" for additional information.
[    55.552] (EE) 
[    55.552] (II) AIGLX: Suspending AIGLX clients for VT switch
[    55.559] (EE) Server terminated with error (1). Closing log file.

Comment 1 Ben Cotton 2018-11-27 15:56:09 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2018-11-30 21:21:31 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.